Skip to main content
POST
Create execution

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Body

application/json

Request body for creating a new workflow execution

input
object

Input data for the workflow execution. Must match the workflow's input_schema if defined.

Response

Execution created

Response after successfully creating a workflow execution

execution_id
string<uuid>
required

Unique identifier for the created execution

workflow_id
string<uuid>
required

ID of the workflow being executed

status
enum<string>
required

Current execution status

Available options:
initial,
processing,
human_in_the_loop,
finished,
error
created_at
string<date-time>
required

Timestamp when the execution was created